Package de.willuhn.jameica.hbci.passports.rdh.keyformat

# Class AbstractSizRdhFormat

java.lang.Object
de.willuhn.jameica.hbci.passports.rdh.keyformat.AbstractKeyFormat
de.willuhn.jameica.hbci.passports.rdh.keyformat.AbstractSizRdhFormat

All Implemented Interfaces:
  `KeyFormat`, `Comparable<KeyFormat>`

Direct Known Subclasses:
  `SizRdhDirectFormat`, `SizRdhFormat`

public abstract class AbstractSizRdhFormat extends AbstractKeyFormat
Abstrakte Basis-Implementierung des Schluesselformats SizRDH.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected static de.willuhn.util.I18N`
`i18n`

### Fields inherited from interface de.willuhn.jameica.hbci.passports.rdh.keyformat.KeyFormat

`FEATURE_CREATE, FEATURE_IMPORT`

## Constructor Summary

Constructors
Constructor
Description
`AbstractSizRdhFormat()`

## Method Summary

Modifier and Type
Method
Description
`RDHKey`
`createKey(File file)`
Erzeugt einen neuen Schluessel.
`protected static String`
`getRDHLib()`
Liefert Pfad und Dateiname der nativen SIZRDH-Lib.
`boolean`
`hasFeature(int feature)`
Prueft, ob das Format das angegebene Feature unterstuetzt.

### Methods inherited from class de.willuhn.jameica.hbci.passports.rdh.keyformat.AbstractKeyFormat

`compareTo, getOrder`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface de.willuhn.jameica.hbci.passports.rdh.keyformat.KeyFormat

`getName, importKey, load`

## Field Details

### i18n

protected static de.willuhn.util.I18N i18n

## Constructor Details

### AbstractSizRdhFormat

public AbstractSizRdhFormat()

## Method Details

### createKey

public RDHKey createKey(File file) throws de.willuhn.util.ApplicationException, de.willuhn.jameica.system.OperationCanceledException
Description copied from interface: `KeyFormat`
Erzeugt einen neuen Schluessel.

Parameters:
  `file` - Ziel-Datei, in der der Schluessel erzeugt werden soll.
Returns:
  der neue Schluessel.
Throws:
  `de.willuhn.util.ApplicationException`
  `de.willuhn.jameica.system.OperationCanceledException`
See Also:
  - `KeyFormat.createKey(java.io.File)`

### hasFeature

public boolean hasFeature(int feature)
Description copied from interface: `KeyFormat`
Prueft, ob das Format das angegebene Feature unterstuetzt.

Parameters:
  `feature` - das geforderte Feature.
Returns:
  true, wenn es unterstuetzt wird.
See Also:
  - `KeyFormat.hasFeature(int)`

### getRDHLib

protected static String getRDHLib() throws de.willuhn.util.ApplicationException
Liefert Pfad und Dateiname der nativen SIZRDH-Lib. Diese unterscheidet sich je nach Betriebssystem.

Returns:
  Pfad zur RDHLib.
Throws:
  `de.willuhn.util.ApplicationException`